"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ButtonNew = void 0;

var _react = _interopRequireDefault(require("react"));

var _useProductSelector = require("../../providers/product/useProductSelector");

var _buttonNewModule = _interopRequireDefault(require("./buttonNew.module.scss"));

var _jsxRuntime = require("react/jsx-runtime");

console.log(_buttonNewModule.default);

/**
 * This Component can be used to render Button of different types.
 * Such as Primary, Success, Primary Raised, etc
 *
 * @author
 * 		[Shubham Vishwakarma](http://192.168.23.38/shubhamvishwakarma)
 *
 * @maintainers
 * 		[Shubham Vishwakarma](http://192.168.23.38/shubhamvishwakarma)
 */
const ButtonNew = props => {
  console.log(_buttonNewModule.default);
  const {
    size = '',
    variant = 'primary',
    className = '',
    onClick = () => {}
  } = props;
  const btnStateClass = props.disabled ? _buttonNewModule.default['disabled'] : '';
  const btnColorClass = variant != 'none' && variant != 'tertiary' ? _buttonNewModule.default['default-colors'] : '';
  const {
    product
  } = (0, _useProductSelector.useProductSelector)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
    className: `${className} ${btnColorClass} ${_buttonNewModule.default['jd-btn']} ${_buttonNewModule.default[size] || ''} ${_buttonNewModule.default[variant] || ''} ${props.raised ? _buttonNewModule.default['raised'] : ''} ${props.block ? _buttonNewModule.default['jd-btn-block'] : ''} ${btnStateClass} ${_buttonNewModule.default[product] || ''}`,
    onClick: onClick,
    style: {
      borderLeft: 1
    },
    children: props.children
  });
};

exports.ButtonNew = ButtonNew;