"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _ProductContext = require("./ProductContext");

var _ActionTypes = require("./ActionTypes");

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function reducer(state, action) {
  const {
    type,
    payload
  } = action;

  switch (type) {
    case _ActionTypes.RESET:
      return productInit(payload);
  }

  return state;
}

const productInit = initialState => {
  return {
    product: initialState.product || 'skinnsi'
  };
};

const ProductProvider = ({
  product,
  children
}) => {
  const [currentProduct, dispatch] = (0, _react.useReducer)(reducer, product, productInit);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_ProductContext.ProductValueContext.Provider, {
    value: currentProduct,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ProductContext.ProductDispatchContext.Provider, {
      value: dispatch,
      children: children
    })
  });
};

var _default = ProductProvider;
exports.default = _default;
module.exports = exports.default;