"use strict";

exports.__esModule = true;
var _exportNames = {
  generateSliderKey: true,
  toModuleClass: true
};
exports.toModuleClass = exports.generateSliderKey = void 0;

var _bodyScrollLock = require("./body-scroll-lock");

Object.keys(_bodyScrollLock).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _bodyScrollLock[key]) return;
  exports[key] = _bodyScrollLock[key];
});

var _historyHandler = require("./history-handler");

Object.keys(_historyHandler).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _historyHandler[key]) return;
  exports[key] = _historyHandler[key];
});

const generateSliderKey = length => {
  let result = '';
  const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
  const charactersLength = characters.length;

  for (let i = 0; i < length; i++) {
    result += characters.charAt(Math.floor(Math.random() * charactersLength));
  }

  return result + '-slider';
};

exports.generateSliderKey = generateSliderKey;

const toModuleClass = (classList, styles) => classList.split(' ').map(cur => styles[cur] || cur).join(' ');

exports.toModuleClass = toModuleClass;