import { storiesOf } from '@storybook/react';
import React from 'react';
import { AnimateSlider } from '.';
import { ButtonNew } from '..';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
storiesOf('Animate Slider', module).add('Default', () => {
  const slidingDivRef = React.useRef(null);

  const onClick = (e, type) => {
    slidingDivRef.current.toggle(type);
  };

  const width = '350px';
  const height = '100%';
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(ButtonNew, {
      onClick: e => onClick(e, true),
      children: "Open Sliding Div"
    }), /*#__PURE__*/_jsx(AnimateSlider, {
      //Note: dont specify this used for example
      ref: slidingDivRef,
      slideDirection: 'left',
      width: width,
      height: height,
      showOverlay: true,
      className: 'sliding-div',
      onOverlayClick: () => alert('Clicked on Overlay'),
      children: /*#__PURE__*/_jsxs("div", {
        style: {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center',
          height: '100%'
        },
        children: [/*#__PURE__*/_jsx("p", {
          children: "Your Slider Content Goes Here"
        }), /*#__PURE__*/_jsx(ButtonNew, {
          onClick: e => onClick(e, false),
          children: "Close Sliding Div"
        })]
      })
    }, width + height)]
  });
});