import React from 'react';
import { useProductSelector } from '../../providers/product/useProductSelector';
import styles from './buttonNew.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
console.log(styles);

/**
 * This Component can be used to render Button of different types.
 * Such as Primary, Success, Primary Raised, etc
 *
 * @author
 * 		[Shubham Vishwakarma](http://192.168.23.38/shubhamvishwakarma)
 *
 * @maintainers
 * 		[Shubham Vishwakarma](http://192.168.23.38/shubhamvishwakarma)
 */
export const ButtonNew = props => {
  console.log(styles);
  const {
    size = '',
    variant = 'primary',
    className = '',
    onClick = () => {}
  } = props;
  const btnStateClass = props.disabled ? styles['disabled'] : '';
  const btnColorClass = variant != 'none' && variant != 'tertiary' ? styles['default-colors'] : '';
  const {
    product
  } = useProductSelector();
  return /*#__PURE__*/_jsx("button", {
    className: `${className} ${btnColorClass} ${styles['jd-btn']} ${styles[size] || ''} ${styles[variant] || ''} ${props.raised ? styles['raised'] : ''} ${props.block ? styles['jd-btn-block'] : ''} ${btnStateClass} ${styles[product] || ''}`,
    onClick: onClick,
    style: {
      borderLeft: 1
    },
    children: props.children
  });
};