import React from 'react';
import { Example } from '..';
import { render } from '@testing-library/react';
import { jsx as _jsx } from "react/jsx-runtime";
describe('Example Component', () => {
  it('Example renders', () => {
    const {
      container
    } = render( /*#__PURE__*/_jsx(Example, {}));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example');
  });
  it('Example active renders', () => {
    const {
      container
    } = render( /*#__PURE__*/_jsx(Example, {
      active: true
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example Example--active');
  });
  it('Example disabled renders', () => {
    const {
      container
    } = render( /*#__PURE__*/_jsx(Example, {
      disabled: true
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example Example--disabled');
  });
  it('Example children renders', () => {
    const {
      container
    } = render( /*#__PURE__*/_jsx(Example, {
      children: "foo"
    }));
    const node = container.querySelector('button.Example');
    expect(node.innerHTML).toEqual('foo');
  });
  it('Example extra classNames render', () => {
    const {
      container
    } = render( /*#__PURE__*/_jsx(Example, {
      className: "foo"
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example foo');
  });
});