import React, { useReducer } from 'react';
import { ProductValueContext, ProductDispatchContext } from './ProductContext';
import { RESET } from './ActionTypes';
import { jsx as _jsx } from "react/jsx-runtime";

function reducer(state, action) {
  const {
    type,
    payload
  } = action;

  switch (type) {
    case RESET:
      return productInit(payload);
  }

  return state;
}

const productInit = initialState => {
  return {
    product: initialState.product || 'skinnsi'
  };
};

const ProductProvider = ({
  product,
  children
}) => {
  const [currentProduct, dispatch] = useReducer(reducer, product, productInit);
  return /*#__PURE__*/_jsx(ProductValueContext.Provider, {
    value: currentProduct,
    children: /*#__PURE__*/_jsx(ProductDispatchContext.Provider, {
      value: dispatch,
      children: children
    })
  });
};

export default ProductProvider;