import { useContext } from 'react';
import { ProductDispatchContext } from './ProductContext'; //#TO_DO change return type

export function useProductDispatch() {
  const contextValue = useContext(ProductDispatchContext);

  if (process.env.NODE_ENV !== 'production' && !contextValue) {
    throw new Error('could not find product context value; please ensure the component is wrapped in a <Provider>');
  }

  return contextValue;
}